## exim4 4.76

=== Makefile ===
# $Cambridge: exim/src/Makefile,v 1.7 2009/11/16 19:50:36 nm4 Exp $

# Top-level makefile for Exim; handles creating a build directory with
# appropriate links, and then creating and running the main makefile in that
# directory.

# Copyright (c) University of Cambridge, 1995 - 2007
# See the file NOTICE for conditions of use and distribution.

# IRIX make uses the shell that is in the SHELL variable, which often defaults
# to csh, so put this in to make it use the Bourne shell. In systems where
# /bin/sh is not a Bourne-compatible shell, this line will have to be edited,
# or "make" must be called with a different SHELL= setting.

SHELL=/bin/sh
RM_COMMAND=/bin/rm

# If a build name has not been specified by running this make file via a
# command of the form "make build=xxxx", then determine the name of the
# operating system and the machine architecture and use that. This does not
# provide an override for the OS type and architecture type; they still have
# to be used for the OS-specific files. To override them, you can set the
# shell variables OSTYPE and ARCHTYPE when running make.

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}

# The default target checks for the existence of Local/Makefile, that the main
# makefile is built and up-to-date, and then it runs it.

all: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS)

Local/Makefile:
	@echo ""
	@echo "*** Please create Local/Makefile by copying src/EDITME and making"
	@echo "*** appropriate changes for your site."
	@echo ""
	@test ! -d Local && mkdir Local
	@false

# This is separated off so that "make build-directory" can be obeyed on
# its own if necessary.

build-directory:
	@builddir=build-$(buildname); \
	case "$$builddir" in *UnKnown*) exit 1;; esac; \
	$(SHELL) -c "test -d $$builddir -a -r $$builddir/version.c || \
	  (mkdir $$builddir; cd $$builddir; $(SHELL) ../scripts/MakeLinks)";

# The "configure" target ensures that the build directory exists, then arranges
# to build the main makefile from inside the build directory, by calling the
# Configure-Makefile script. This does its own dependency checking because of
# the optional files.

configure: build-directory
	@cd build-$(buildname); \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile; \
	  $(SHELL) ../scripts/lookups-Makefile

# The "makefile" target forces a rebuild of the makefile (as opposed to
# "configure", which doesn't force it).

makefile: build-directory
	@cd build-$(buildname); $(RM_COMMAND) -f Makefile; \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile; \
	  $(SHELL) ../scripts/lookups-Makefile

# The installation commands are kept in a separate script, which expects
# to be run from inside the build directory.

install:;	@cd build-$(buildname); \
		build=$(build) $(SHELL) ../scripts/exim_install $(INSTALL_ARG)

# Tidy-up targets

clean:; @echo ""; echo '*** "make clean" just removes all .o and .a files'
	@echo '*** Use "make makefile" to force a rebuild of the makefile'
	@echo ""
	cd build-$(buildname); \
	$(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a \
	pdkim/*.o pdkim/*.a

clean_exim:; cd build-$(buildname); \
	 $(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a lookups/*.so

distclean:; $(RM_COMMAND) -rf build-*

# End of top-level makefile

=== src/lookups/Makefile ===
# $Cambridge: exim/src/src/lookups/Makefile,v 1.9 2009/06/10 07:34:05 tom Exp $
#
# nb: at build time, the version of this file used will have had some
#     extra variable definitions and prepended to it and module build rules
#     interpolated below.

# Make file for building all the available lookups.
# This is called from the main make file, after cd'ing
# to the lookups subdirectory.

# MAGIC-TAG-MODS-OBJ-RULES-GO-HERE


all:             lookups.a lf_quote.o lf_check_file.o lf_sqlperform.o $(MODS)

lookups.a:       $(OBJ)
		 @$(RM_COMMAND) -f lookups.a
		 @echo "$(AR) lookups.a"
		 @$(AR) lookups.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c .so
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

.c.so:;          @echo "$(CC) -shared $*.c"
		 $(FE)$(CC) $(LOOKUP_$*_INCLUDE) $(LOOKUP_$*_LIBS) -DDYNLOOKUP $(CFLAGS_DYNAMIC) $(CFLAGS) $(INCLUDE) $(DLFLAGS) $*.c -o $@

lf_check_file.o: $(HDRS) lf_check_file.c  lf_functions.h
lf_quote.o:      $(HDRS) lf_quote.c       lf_functions.h
lf_sqlperform.o: $(HDRS) lf_sqlperform.c  lf_functions.h

cdb.o:           $(HDRS) cdb.c
dbmdb.o:         $(HDRS) dbmdb.c
dnsdb.o:         $(HDRS) dnsdb.c
dsearch.o:       $(HDRS) dsearch.c
ibase.o:         $(HDRS) ibase.c
ldap.o:          $(HDRS) ldap.c
lsearch.o:       $(HDRS) lsearch.c
mysql.o:         $(HDRS) mysql.c
nis.o:           $(HDRS) nis.c
nisplus.o:       $(HDRS) nisplus.c
oracle.o:        $(HDRS) oracle.c
passwd.o:        $(HDRS) passwd.c
pgsql.o:         $(HDRS) pgsql.c
spf.o:           $(HDRS) spf.c
sqlite.o:        $(HDRS) sqlite.c
testdb.o:        $(HDRS) testdb.c
whoson.o:        $(HDRS) whoson.c

cdb.so:           $(HDRS) cdb.c
dbmdb.so:         $(HDRS) dbmdb.c
dnsdb.so:         $(HDRS) dnsdb.c
dsearch.so:       $(HDRS) dsearch.c
ibase.so:         $(HDRS) ibase.c
ldap.so:          $(HDRS) ldap.c
lsearch.so:       $(HDRS) lsearch.c
mysql.so:         $(HDRS) mysql.c
nis.so:           $(HDRS) nis.c
nisplus.so:       $(HDRS) nisplus.c
oracle.so:        $(HDRS) oracle.c
passwd.so:        $(HDRS) passwd.c
pgsql.so:         $(HDRS) pgsql.c
spf.so:           $(HDRS) spf.c
sqlite.so:        $(HDRS) sqlite.c
testdb.so:        $(HDRS) testdb.c
whoson.so:        $(HDRS) whoson.c

# End

=== src/transports/Makefile ===
# $Cambridge: exim/src/src/transports/Makefile,v 1.4 2008/02/14 13:49:35 fanf2 Exp $

# Make file for building a library containing all the available transports and
# calling it transports.a. This is called from the main make file, after cd'ing
# to the transports subdirectory.

OBJ = appendfile.o autoreply.o lmtp.o pipe.o smtp.o tf_maildir.o

transports.a:    $(OBJ)
		 @$(RM_COMMAND) -f transports.a
		 @echo "$(AR) transports.a"
		 @$(AR) transports.a $(OBJ)
		 $(RANLIB) $@

.SUFFIXES:       .o .c
.c.o:;           @echo "$(CC) $*.c"
		 $(FE)$(CC) -c $(CFLAGS) $(INCLUDE) $*.c

appendfile.o:    $(HDRS) appendfile.c appendfile.h tf_maildir.h
autoreply.o:     $(HDRS) autoreply.c autoreply.h
lmtp.o:          $(HDRS) lmtp.c lmtp.h
pipe.o:          $(HDRS) pipe.c pipe.h
smtp.o:          $(HDRS) smtp.c smtp.h

tf_maildir.o:    $(HDRS) tf_maildir.c tf_maildir.h appendfile.h

# End

=== debian/changelog ===
exim4 (4.76-3ubuntu3.1) precise-security; urgency=low

  * SECURITY UPDATE: arbitrary code execution via dns decode logic
    - debian/patches/CVE-2012-5671.patch: adjust max length and validate
      against it in src/pdkim/pdkim.h, src/dkim.c.
    - CVE-2012-5671

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Oct 2012 08:26:32 -0400

exim4 (4.76-3ubuntu3) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:29:35 -0800

exim4 (4.76-3ubuntu2) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Nov 2011 01:22:39 +0000

exim4 (4.76-3ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 20 Oct 2011 11:29:07 -0400

exim4 (4.76-3) unstable; urgency=low

  * [exim4-base.cron.daily] Correct invocation of mail(1), options need to be
    specified before arguments for compatibility with heirloom-mailx (Thanks,
    Andreas Schiweck). Closes: #629314
  * [exim4-base.exim4.init] Use echo instead of log_failure_msg for the panic
    log warning. Closes: #629610
  * [exim4-base.postinst] Also take care of ratelimit db on bdbd upgrades.
    Closes: #630985
  * Update Debian exim webpage URL. Closes: #641126
  * Do not run upgrade test for 4.67-5 on exim4.conf.template if split config
    is used and vice versa. Closes: #577633
  * [lintian] Do not specify priority in binary package stanzas, unless it
    deviates from the source package priority setting.
  * [lintian] Drop unused lintian override binary-without-manpage
    usr/sbin/exim.
  * [lintian] Improve on short descriptions of *-dbg packages.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 18 Sep 2011 11:49:13 +0200

exim4 (4.76-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 30 May 2011 17:48:56 -0400

exim4 (4.76-2) unstable; urgency=low

  * debian/rules: Remove test/ and test-stamp on clean.
  * Handle BerkeleyDB upgrades more gracefully. Instead of checking Debian
    version numbers compare DB-version of old exim (stored by postinst in
    /var/lib/exim4/berkeleydbvers.txt) with currently used DB-version
    (hardcoded at build time in exim4-base.postinst).
  * [exim4-base.postinst exim4-config.postinst] Do away with unnecessary
    chowns by dropping them or limiting to upgrades from 4.30.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 29 May 2011 18:21:03 +0200

exim4 (4.76-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes (LP: #779391):
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 23 May 2011 12:37:30 -0400

exim4 (4.76-1) unstable; urgency=low

  * New upstream version.
  * Drop 80_match_isinlist.diff (included upstream).

 -- Andreas Metzler <ametzler@debian.org>  Mon, 09 May 2011 19:12:09 +0200

exim4 (4.76~RC1-3) experimental; urgency=low

  * 80_match_isinlist.diff pulled from upstream git.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 May 2011 14:44:20 +0200

exim4 (4.76~RC1-2) experimental; urgency=low

  * Fix testsuite error.
  * Disable verification of DKIM signatures if DC_minimaldns or the (newly
    added) DISABLE_DKIM_VERIFY macro are set. Closes: #609764
  * [lintian] Drop useless comments from debian/watch.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 May 2011 08:58:24 +0200

exim4 (4.76~RC1-1) experimental; urgency=low

  * New upstream version.
  * Drop superfluous patches. 80_ldap_require_cert-work.diff
    81_negatebool.diff 82_dkimpercent.diff
  * [Lintian] Fix grammar error in manpage (spelling-error-in-manpage
    update-exim4defaults.8.gz allows to allows one to).
  * [debian/minimaltest]: Added. Try to run a minimal functionality test after
    building exim. (Currently only supported if the build-system has a
    Debian-exim user.)

 -- Andreas Metzler <ametzler@debian.org>  Fri, 06 May 2011 20:27:56 +0200

exim4 (4.75-3) unstable; urgency=high

  * [debian/rules] Fix dependencies and targets, speeding up package build.
    Previously everything was compiled twice.
  * Patches pulled from upstream git:
    +81_negatebool.diff Negating the $bool expansion condition did not work.
    +82_dkimpercent.diff dkim sig logged to paniclog. Closes: #624670
     (CVE-2011-1764)

 -- Andreas Metzler <ametzler@debian.org>  Fri, 06 May 2011 20:08:51 +0200

exim4 (4.75-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Don't declare a Provides: default-mta; in Ubuntu,
      we want postfix to be the default.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 06 May 2011 14:51:28 -0400

exim4 (4.75-2) unstable; urgency=low

  * clamav socket on Debian is clamd:/var/run/clamav/clamd.ctl, fix
    configuration example accordingly. (Thanks, Roman V. Nikolaev)
    Closes: #622111
  * Use on libdb5.1-dev (instead of 4.8), zap hints db on upgrade from <=
    4.75-1. Closes: #621388
  * Enable hardening options. (Last difference to Ubuntu except for not being
    the default-mta there.) Closes: #542726

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Apr 2011 14:45:36 +0200

exim4 (4.75-1) unstable; urgency=low

  * New upstream version.
  * 80_ldap_require_cert-work.diff Pulled from upstream git. The new
    ldap_require_cert option would segfault if used.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 28 Mar 2011 19:24:55 +0200

exim4 (4.75~rc3-1) experimental; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 03 Mar 2011 19:10:06 +0100



=== debian/control ===
Source: exim4
Section: mail
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: http://www.exim.org/
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-exim4/exim/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-exim4/exim/trunk/
Build-Depends: debhelper (>= 7.0.15), po-debconf, docbook-xsl, xsltproc,
  lynx-cur | lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
  libident-dev, libdb5.1-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
  libxaw7-dev, libpq-dev, libmysqlclient-dev | libmysqlclient15-dev,
  libsqlite3-dev, libperl-dev, libgnutls-dev, libsasl2-dev, hardening-wrapper

Package: exim4-base
Architecture: any
Breaks: exim4-daemon-light (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}), 
 exim4-daemon-custom (<<${Upstream-Version})
Conflicts: exim, exim-tls
Replaces: exim, exim-tls, exim4-daemon-light, exim4-daemon-heavy, exim4-daemon-custom
Depends: ${shlibs:Depends}, ${misc:Depends}, cron | fcron, exim4-config (>=4.30) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
# psmisc just for exiwhat.
Recommends: psmisc, mailx, perl-modules
Suggests: mail-reader, eximon4, exim4-doc-html|exim4-doc-info, 
 gnutls-bin | openssl, file, spf-tools-perl, swaks
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Breaks: exim4-daemon-light (<<4.69.1), exim4-daemon-heavy (<<4.69.1)
Provides: exim4-config-2
Conflicts: exim, exim-tls, exim4-config, exim4-config-2, ${MTA-Conflicts}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Depends: ${misc:Depends}, debconf (>= 1.4.69) | cdebconf (>= 0.39), exim4-base (>= ${Upstream-Version}), exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
 ${misc:Depends}
Breaks: clamav-daemon (<< 0.95)
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 sqlite, PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-custom
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-1.0, exim4-localscanapi-1.1
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: custom Exim MTA (v4) daemon with locally set features
 Exim (v4) is a mail transport agent. This package contains a
 custom-configured exim4 daemon compiled to local needs. This package
 is not part of official Debian, but can easily be built from the
 Debian source package. For information about the feature set compiled in,
 and for bug reports, please find out who built your package.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: eximon4
Architecture: any
Priority: optional
Conflicts: eximon
Replaces: eximon
Depends: ${shlibs:Depends}, ${misc:Depends}, exim4-base (>= 4.10)
Description: monitor application for the Exim MTA (v4) (X11 interface)
 Eximon is a helper program for the Exim MTA (v4). It allows
 administrators to view the mail queue and logs, and perform a variety
 of actions on queued messages, such as freezing, bouncing and thawing
 messages.

Package: exim4-dbg
Architecture: any
Priority: extra
Section: debug
Depends: exim4-base, exim4-config, ${misc:Depends}
Recommends: eximon4
Description: debugging symbols for the Exim MTA (utilities)
 Exim (v4) is a mail transport agent. This package contains
 debugging symbols for the binaries contained in the exim4
 packages. The daemon packages have their own debug package.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
#export DEB_BUILD_HARDENING_FORTIFY=0

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}

BUILDDIR=$(shell pwd)/build-tree

DEBIAN:=$(shell pwd)/debian

CFLAGS := -g -Wall $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE -fno-strict-aliasing

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

export CFLAGS

LC_ALL=C
export LC_ALL

# Which packages should we build?
ifndef buildbasepackages
buildbasepackages=yes
endif

ifndef extradaemonpackages
extradaemonpackages=exim4-daemon-heavy
endif
# If you want to build a daemon with a configuration tailored to YOUR special
# needs, call "fakeroot debian/rules unpack-configs", copy EDITME.exim4-light
# to EDITME.exim4-custom and modify it. Please note that you _need_ to
# modify EDITME.exim4-custom or your build will fail due to #386188.
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].
#
# Afterwards EITHER change the definition of extradaemonpackages above OR
# simply set extradaemonpackages to the desired value via the environment.

# If you want your changes to survive a debian/rules clean, call
# "fakeroot debian/rules pack-configs" after customizing EDITME.exim4-custom

# If you remove exim4-daemon-light from basedaemonpackages to prevent
# exim4-daemon-light from being built, you need to modify the build
# process to pull the helper binaries from the daemon package that you
# actually build. If you simply remove exim4-daemon-light here, you will
# end up with exim4-base sans binaries, which is most probably not what
# you intend to have.
#
# combined[ai]dbgpackage has a list of packages whose debug information
# goes into the combined debug package exim4-dbg, separated as arch
# independent and arch dependent list.
# extraadbgpackage has a list of packages whose debug information
# goes into one debug package foo-dbg per package. This is currently
# only implemented and needed for arch dependent packages.

ifeq ($(buildbasepackages),yes)
basedaemonpackages=exim4-daemon-light
combinedadbgpackage=exim4-base eximon4
combinedidbgpackage=exim4-config exim4
exim4dbg=exim4-dbg
dhstripparm=--dbg-package=$(exim4dbg)
exim4dev=exim4-dev
extraadbgpackage=$(basedaemonpackages) $(extradaemonpackages)
else
basedaemonpackages=
combinedadbgpackage=
combinedidbgpackage=
exim4dbg=
dhstripparm=
exim4dev=
extraadbgpackage=$(extradaemonpackages)
endif
#DEBUGOUT:=$(shell echo >&2 buildbasepackages $(buildbasepackages))
#DEBUGOUT:=$(shell echo >&2 extradaemonpackages $(extradaemonpackages))

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.


# list of all arch dependent packages to be built
buildpackages=$(combinedadbgpackage) $(extraadbgpackage) $(addsuffix -dbg,$(extraadbgpackage)) $(exim4dbg) $(exim4dev)
# generate -pexim4-base -peximon4 ... commandline for debhelper
dhbuildpackages=$(addprefix -p,$(buildpackages))
dhcombinedadbgpackage=$(addprefix -p,$(combinedadbgpackage))
dhcombinedidbgpackage=$(addprefix -p,$(combinedidbgpackage))
# exim4-daemon-light --> build-tree/build-exim4-daemon-light/exim
daemonbinaries=$(addprefix build-tree/build-,$(addsuffix /exim,$(extradaemonpackages)))
debiandaemonbinaries=$(addprefix $(DEBIAN)/,$(addsuffix /usr/sbin/exim4,$(extradaemonpackages)))

# get upstream-version from debian/changelog, i.e. anything until the first -
UPSTREAMVERSION	:=	$(shell dpkg-parsechangelog | sed -n '/^Version: /{s/^Version: \(.\+\)-[^-]\+/\1/;p;}')
MTACONFLICTS := $(shell cat $(DEBIAN)/mtalist)


$(BUILDDIR)/Makefile:
	mkdir -p build-tree
	find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name build-tree -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=build-tree

unpack-configs: unpack-configs-stamp
unpack-configs-stamp: $(BUILDDIR)/Makefile
	patch -o EDITME.eximon $(BUILDDIR)/exim_monitor/EDITME $(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light $(BUILDDIR)/src/EDITME $(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	-for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs: $(BUILDDIR)/Makefile
	-diff -u $(BUILDDIR)/src/EDITME EDITME.exim4-light > $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u $(BUILDDIR)/exim_monitor/EDITME EDITME.eximon > $(DEBIAN)/EDITME.eximon.diff

# only called manually by maintainer before upload.
update-mtaconflicts:
	which grep-available > /dev/null && \
		grep-available --show-field=Package --field=Provides \
		mail-transport-agent --no-field-names \
		/var/lib/apt/lists/*Packages | grep -v exim | sort -u | \
		tr '\n' ',' | sed -e 's/,/, /g;s/, $$//' > $(DEBIAN)/mtalist

# Generate README.Debian as text/html ...
debian/README.Debian.html: debian/README.Debian.xml
	xsltproc --nonet --stringparam section.autolabel 1 \
		-o $@ \
		/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
		$<
# ... and text/plain
debian/README.Debian: debian/README.Debian.html
	chmod 755 $(DEBIAN)/lynx-dump-postprocess
	lynx -force_html -dump $< | $(DEBIAN)/lynx-dump-postprocess > $@.tmp
	mv $@.tmp $@

configure: configure-stamp

# the patches might change src/EDITME.
configure-stamp: $(BUILDDIR)/Makefile unpack-configs-stamp
	dh_testdir
	# Add here commands to configure the package.
	# We currently do not want to build depend on debhelper 7.2.3 just to
	# keep it from installing the wrong upstream changelog. 490937
	rm -fv CHANGES
	touch configure-stamp

# Build binaries for the base package, the eximon4 package, and the
# exim4-daemon-light package.
build-tree/build-exim4-daemon-light/exim: configure-stamp
	echo build-exim4-daemon-light
	dh_testdir

	rm -rf $(BUILDDIR)/build-$(buildname)
	# Add here command to compile/build the package.
	mkdir -p $(BUILDDIR)/Local
	cp EDITME.exim4-light $(BUILDDIR)/Local/Makefile
	cp EDITME.eximon $(BUILDDIR)/Local/eximon.conf
	cd $(BUILDDIR) && $(MAKE) FULLECHO=''
	cd $(BUILDDIR) && mv build-$(buildname) build-exim4-daemon-light

build-tree/build-exim4-daemon-custom/exim: configure-stamp
	echo build-exim4-daemon-custom
	dh_testdir

	rm -rf $(BUILDDIR)/build-$(buildname)
	# Add here command to compile/build the package.
	mkdir -p $(BUILDDIR)/Local
	cp EDITME.exim4-custom $(BUILDDIR)/Local/Makefile
	cd $(BUILDDIR) && $(MAKE) Local/Makefile configure FULLECHO=''
	# This is a kludge. The upstream Makefile should be fixed, really.
	cd $(BUILDDIR) && $(MAKE) -C build-$(buildname) checklocalmake Makefile os.h os.c config.h buildlookups buildpdkim buildrouters buildtransports buildauths exim FULLECHO=''
	cd $(BUILDDIR) && mv build-$(buildname) build-exim4-daemon-custom

build-tree/build-exim4-daemon-heavy/exim: configure-stamp
	echo build-exim4-daemon-heavy
	dh_testdir

	rm -rf $(BUILDDIR)/build-$(buildname)
	# Add here command to compile/build the package.
	mkdir -p $(BUILDDIR)/Local
	cp EDITME.exim4-heavy $(BUILDDIR)/Local/Makefile
	cd $(BUILDDIR) && $(MAKE) Local/Makefile configure FULLECHO=''
	# This is a kludge. The upstream Makefile should be fixed, really.

=== debian/watch ===
version=2
ftp://ftp.exim.org/pub/exim/exim4/exim-(4\.\d+)\.tar\.gz

## exim4 4.77~rc4

=== debian/changelog ===
exim4 (4.77~rc4-1) experimental; urgency=low

  * New upstream release candidate.
    + drop patches included in this release.
      (80_gnutls_certificate_verify_peers2.diff 80_gnutls_initrc.diff
      80_TLS1.2-and-TLS1.1-support.diff)
    + New expansion conditions, "inlist", "inlisti".
    + Exim no longer performs string expansion on the second string of
      the match_* expansion conditions: "match_address", "match_domain",
      "match_ip" & "match_local_part". Named lists can still be used.  The
      previous behavior made it too easy to create (remotely) vulnerable
      configurations. A more detailed rationale and explanation can be found
      on 
      https://lists.exim.org/lurker/message/20111003.122326.fbcf32b7.en.html
    + doc/pcrepattern.txt is not shipped anymore as part of the exim tarball
      (and therefore the Debian package suite.)
  * Make use of /usr/share/dpkg/buildflags.mk if available.
  * Change build system to build each binary variant in a separate copy of
    the source tree instead of re-using the copy and moving away the results
    after build. The old approach stopped working since upstream added a
    dependency on make all to make install. - As we were changing parts of
    tree (Local/Makefile) after the build this caused an (incorrect) rebuild
    on make install.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Oct 2011 13:07:35 +0200

exim4 (4.76-4) experimental; urgency=low

  * 80_TLS1.2-and-TLS1.1-support.diff (pulled from upstream GIT gnutls_fixes
    branch): Enable TLS1.2 and TLS1.1
  * 80_gnutls_certificate_verify_peers2.diff, 80_gnutls_initrc.diff  (pulled
    from upstream GIT gnutls_fixes branch): Use
    gnutls_certificate_verify_peers2() instead of
    gnutls_certificate_verify_peers(). The deprecated function was dropped in
    GnuTLS 3.x. Closes: #624082

 -- Andreas Metzler <ametzler@debian.org>  Sat, 24 Sep 2011 18:36:08 +0200

## exim4 4.77

=== debian/changelog ===
exim4 (4.77-1) unstable; urgency=low

  * Fix typo in exim4-config_files.5. (Thanks, Regid Ichira) Closes: #645283
  * New upstream stable release. (No major changes compared to rc4)
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Oct 2011 18:00:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,22 @@
 export DEB_BUILD_HARDENING=1
 #export DEB_BUILD_HARDENING_FORTIFY=0
 
-buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}
-
-BUILDDIR=$(shell pwd)/build-tree
-
-DEBIAN:=$(shell pwd)/debian
-
-CFLAGS := -g -Wall $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE -fno-strict-aliasing
-
+buildname := $(shell scripts/os-type)-$(shell scripts/arch-type)
+DEBIAN := $(shell pwd)/debian
+
+ifeq ($(wildcard /usr/share/dpkg/buildflags.mk),) 
+CFLAGS := -g -Wall
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
 CFLAGS += -O2
 endif
-
+else
+DPKG_EXPORT_BUILDFLAGS := 1
+include /usr/share/dpkg/buildflags.mk
+endif
+
+CFLAGS := $(CFLAGS) $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE -fno-strict-aliasing
 export CFLAGS
 
 LC_ALL=C
@@ -95,27 +97,34 @@
 dhbuildpackages=$(addprefix -p,$(buildpackages))
 dhcombinedadbgpackage=$(addprefix -p,$(combinedadbgpackage))
 dhcombinedidbgpackage=$(addprefix -p,$(combinedidbgpackage))
-# exim4-daemon-light --> build-tree/build-exim4-daemon-light/exim
-daemonbinaries=$(addprefix build-tree/build-,$(addsuffix /exim,$(extradaemonpackages)))
+
+# exim4-daemon-heavy --> b-exim4-daemon-heavy/build-Linux-x86_64/exim
+daemonbinaries=$(addprefix b-,$(addsuffix /build-$(buildname)/exim,$(extradaemonpackages)))
 debiandaemonbinaries=$(addprefix $(DEBIAN)/,$(addsuffix /usr/sbin/exim4,$(extradaemonpackages)))
+BDIRS=$(addprefix b-,$(extradaemonpackages) $(basedaemonpackages))
+
 
 # get upstream-version from debian/changelog, i.e. anything until the first -
-UPSTREAMVERSION	:=	$(shell dpkg-parsechangelog | sed -n '/^Version: /{s/^Version: \(.\+\)-[^-]\+/\1/;p;}')
+DEBVERSION := $(shell dpkg-parsechangelog | sed -n '/^Version: /s/^Version: //p')
+UPSTREAMVERSION := $(shell echo $(DEBVERSION) | sed -n 's/\(.\+\)-[^-]\+/\1/p')
 MTACONFLICTS := $(shell cat $(DEBIAN)/mtalist)
 
-
-$(BUILDDIR)/Makefile:
-	mkdir -p build-tree
+# set up build directory b-exim4-daemon-heavy/
+$(addsuffix /Makefile,$(BDIRS)): %/Makefile:
+	mkdir $*
 	find . -mindepth 1 -maxdepth 1 \
 		-name debian -prune -o \
-		-name build-tree -o -print0 | \
+		-name 'b-*' -o -print0 | \
 		xargs --no-run-if-empty --null \
-		cp -a --target-directory=build-tree
+		cp -a --target-directory=$*
+
 
 unpack-configs: unpack-configs-stamp
-unpack-configs-stamp: $(BUILDDIR)/Makefile
-	patch -o EDITME.eximon $(BUILDDIR)/exim_monitor/EDITME $(DEBIAN)/EDITME.eximon.diff
-	patch -o EDITME.exim4-light $(BUILDDIR)/src/EDITME $(DEBIAN)/EDITME.exim4-light.diff
+unpack-configs-stamp: src/EDITME exim_monitor/EDITME
+	patch -o EDITME.eximon exim_monitor/EDITME \
+		$(DEBIAN)/EDITME.eximon.diff
+	patch -o EDITME.exim4-light src/EDITME \
+		$(DEBIAN)/EDITME.exim4-light.diff
 ifdef OPENSSL
 	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
 endif
@@ -128,15 +137,17 @@
 	done
 	touch unpack-configs-stamp
 
-pack-configs: $(BUILDDIR)/Makefile
-	-diff -u $(BUILDDIR)/src/EDITME EDITME.exim4-light > $(DEBIAN)/EDITME.exim4-light.diff
+pack-configs:
+	-diff -u src/EDITME EDITME.exim4-light \
+		> $(DEBIAN)/EDITME.exim4-light.diff
 	-for editme in EDITME.exim4-*; do \
 	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
 	    echo diff -u EDITME.exim4-light $$editme; \
 	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
 	  fi; \
 	done
-	-diff -u $(BUILDDIR)/exim_monitor/EDITME EDITME.eximon > $(DEBIAN)/EDITME.eximon.diff
+	-diff -u exim_monitor/EDITME EDITME.eximon \
+		> $(DEBIAN)/EDITME.eximon.diff
 
 # only called manually by maintainer before upload.
 update-mtaconflicts:
@@ -160,49 +171,61 @@
 
 configure: configure-stamp
 
-# the patches might change src/EDITME.
-configure-stamp: $(BUILDDIR)/Makefile unpack-configs-stamp
+configure-stamp: $(addsuffix /Makefile,$(BDIRS)) unpack-configs-stamp
 	dh_testdir
 	# Add here commands to configure the package.
 	# We currently do not want to build depend on debhelper 7.2.3 just to
 	# keep it from installing the wrong upstream changelog. 490937
 	rm -fv CHANGES
-	touch configure-stamp
+	touch $@ 
 
 # Build binaries for the base package, the eximon4 package, and the
 # exim4-daemon-light package.
-build-tree/build-exim4-daemon-light/exim: configure-stamp
-	echo build-exim4-daemon-light
-	dh_testdir
-
-	rm -rf $(BUILDDIR)/build-$(buildname)
-	# Add here command to compile/build the package.
-	mkdir -p $(BUILDDIR)/Local
-	cp EDITME.exim4-light $(BUILDDIR)/Local/Makefile
-	cp EDITME.eximon $(BUILDDIR)/Local/eximon.conf
-	cd $(BUILDDIR) && $(MAKE) FULLECHO=''
-	cd $(BUILDDIR) && mv build-$(buildname) build-exim4-daemon-light
-
-build-tree/build-exim4-daemon-custom/exim: configure-stamp
-	echo build-exim4-daemon-custom
-	dh_testdir
-
-	rm -rf $(BUILDDIR)/build-$(buildname)
-	# Add here command to compile/build the package.
-	mkdir -p $(BUILDDIR)/Local
-	cp EDITME.exim4-custom $(BUILDDIR)/Local/Makefile
-	cd $(BUILDDIR) && $(MAKE) Local/Makefile configure FULLECHO=''
-	# This is a kludge. The upstream Makefile should be fixed, really.
-	cd $(BUILDDIR) && $(MAKE) -C build-$(buildname) checklocalmake Makefile os.h os.c config.h buildlookups buildpdkim buildrouters buildtransports buildauths exim FULLECHO=''
-	cd $(BUILDDIR) && mv build-$(buildname) build-exim4-daemon-custom
-
-build-tree/build-exim4-daemon-heavy/exim: configure-stamp
-	echo build-exim4-daemon-heavy
-	dh_testdir
-
-	rm -rf $(BUILDDIR)/build-$(buildname)
-	# Add here command to compile/build the package.
-	mkdir -p $(BUILDDIR)/Local
-	cp EDITME.exim4-heavy $(BUILDDIR)/Local/Makefile
-	cd $(BUILDDIR) && $(MAKE) Local/Makefile configure FULLECHO=''
-	# This is a kludge. The upstream Makefile should be fixed, really.
+b-exim4-daemon-light/build-$(buildname)/exim: b-exim4-daemon-light/Makefile configure-stamp
+	@echo build $(<D)
+	dh_testdir
+
+	rm -rf $(@D)
+	mkdir -p $(<D)/Local
+	cp EDITME.exim4-light $(<D)/Local/Makefile
+	cp EDITME.eximon $(<D)/Local/eximon.conf
+	cd $(<D) && $(MAKE) FULLECHO=''
+
+b-exim4-daemon-heavy/build-$(buildname)/exim: b-exim4-daemon-heavy/Makefile configure-stamp
+	@echo build $(<D)
+	dh_testdir
+
+	rm -rf $(@D)
+	mkdir -p $(<D)/Local
+	cp EDITME.exim4-heavy $(<D)/Local/Makefile
+	cd $(<D) && $(MAKE) FULLECHO=''
+
+b-exim4-daemon-custom/build-$(buildname)/exim: b-exim4-daemon-custom/Makefile configure-stamp
+	@echo build $(<D)
+	dh_testdir
+
+	rm -rf $(@D)
+	mkdir -p $(<D)/Local
+	cp EDITME.exim4-custom $(<D)/Local/Makefile
+	cd $(<D) && $(MAKE) FULLECHO=''
+
+build-indep: build-indep-stamp
+build-indep-stamp:
+	dh_testdir
+
+	# Add here command to compile/build the arch indep package.
+	# It's ok not to do anything here, if you don't need to build
+	#  anything for this package.
+	#/usr/bin/docbook-to-man $(DEBIAN)/exim.sgml > exim.1
+
+	touch build-indep-stamp
+
+build-arch: build-arch-stamp test-stamp
+
+ifeq ($(buildbasepackages),yes)
+build-arch-stamp: b-exim4-daemon-light/build-$(buildname)/exim $(daemonbinaries)
+else
+build-arch-stamp: $(daemonbinaries)
+endif
+	dh_testdir
+	# Which version of Berkeley DB are we building against?
